/// <reference types="react-reconciler" />
import * as React from 'react';
import type { RenderProps } from 'react-three-fiber/src/web';
import { ReactThreeTestRendererTree } from './helpers/tree';
import { ReactThreeTestRendererSceneGraph } from './helpers/graph';
import { MockScene } from './createMockStore';
import { CreateCanvasParameters } from './createTestCanvas';
export declare type ReactThreeTestRendererOptions = CreateCanvasParameters & RenderProps;
export declare type ThreeTestRenderer = {
    scene: MockScene;
    unmount: () => void;
    getInstance: () => null | unknown;
    update: (el: React.ReactNode) => void;
    toTree: () => ReactThreeTestRendererTree | undefined;
    toGraph: () => ReactThreeTestRendererSceneGraph | undefined;
};
declare const ReactThreeTestRenderer: {
    create: (element: React.ReactNode, options?: Partial<ReactThreeTestRendererOptions>) => ThreeTestRenderer;
    act: (callback: () => import("react-reconciler").Thenable<unknown>) => import("react-reconciler").Thenable<void>;
    advanceFrames: (frames: number, delta?: number | number[]) => void;
};
export default ReactThreeTestRenderer;
